%define name perl-Data-ShowTable
%define real_name Data-ShowTable
%define version 3.3
%define release 3mdk

Summary: Perl 5 module to print arrays of data
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Development/Perl
Source0: ftp://ftp.pasteur.fr/pub/computing/CPAN/modules/by-module/Data/%{real_name}-%{version}.tar.bz2
Patch0: %{real_name}-3.3.patch.bz2
Prefix: %{_prefix}
BuildArch: noarch
Buildroot: %{_tmppath}/%{name}-root

%description
ShowTable.pm, version 3.3, is a Perl 5 module which defines subroutines to
print arrays of data in a nicely formatted listing, using one of four possible
formats: simple table, boxed table, list style, and HTML-formatting (for
World-Wide-Web output). See the documentation on ShowTable.pm for details on
the formatting.

%prep
%setup -n %{real_name}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL PREFIX=%{prefix}
%make PREFIX=%{prefix}
%make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX=$RPM_BUILD_ROOT%{prefix} \
	     INSTALLMAN1DIR=$RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/showtable
%{_libdir}/perl5/man/man3/*
%{_libdir}/perl5/site_perl/*/Data/ShowTable.pm
%{_mandir}/man1/*

%changelog
* Thu Aug 03 2000 Franois Pons <fpons@mandrakesoft.com> 3.3-3mdk
- macroszifications.
- noarch.

* Mon Apr  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.3-2mdk
- fixed group
- rebuild with new perl
- fixed location
- patched the source in order to build, the tests in order to test
- fixed install process for correct man1 install

* Sun Dec 05 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- First spec file

